<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>
  <script type="text/javascript">
    //'RouteMenu' is a name of the view class
    var RouteMenu = Backbone.View.extend({
      el: '#routemenu', //'el' defines which element to be used as the view reference

      //defines a click event to occur on link
      events: {
        'click a': 'onClick'
      },

      //After clicking on a link, router calls 'navigate' to update URL
      onClick: function(e) {
        router.navigate('/');
      }
    });

    //'Router' is a name of the router class
    var Router = Backbone.Router.extend({

      //The 'routes' maps URLs with parameters to functions on your router
      routes: {
        'route/:id': 'defaultRoute'
      },
    });

    //'routemenu' is an instance of the view class
    var routemenu = new RouteMenu();

    //It starts listening to the routes and manages the history for bookmarkable URL's
    Backbone.history.start();
  </script>
</head>

<body>
  <section id="routemenu">
    <ul>
      <li> <a href="#/route/1">route 1 </a> </li>
      <li> <a href="#/route/2">route 2 </a> </li>
      <li> <a href="#/route/3">route 3 </a> </li>
    </ul>
  </section>


</body>

</html>